net.sf.jasperreports.engine.export.draw

## Class FrameDrawer

- java.lang.Object
- - net.sf.jasperreports.engine.export.draw.ElementDrawer<JRPrintFrame>
  - - net.sf.jasperreports.engine.export.draw.FrameDrawer

-     public class FrameDrawer
      extends ElementDrawer<JRPrintFrame>

  Version:
    $Id: FrameDrawer.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrameDrawer(ExporterFilter filter, AwtTextRenderer textRenderer)` Deprecated. Replaced by `FrameDrawer(JasperReportsContext, ExporterFilter, AwtTextRenderer)`.
    `FrameDrawer(JasperReportsContext jasperReportsContext, ExporterFilter filter, AwtTextRenderer textRenderer)`
    `FrameDrawer(JRGraphics2DExporterContext exporterContext, ExporterFilter filter, AwtTextRenderer textRenderer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(java.awt.Graphics2D grx, java.util.Collection<JRPrintElement> elements, int offsetX, int offsetY)`
    `void` | `draw(java.awt.Graphics2D grx, JRPrintFrame frame, int offsetX, int offsetY)`
    `PrintDrawVisitor` | `getDrawVisitor()`
    `JRGraphics2DExporterContext` | `getExporterContext()`
    `void` | `setClip(boolean isClip)`
    `protected void` | `setGraphics(java.awt.Graphics2D grx)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.draw.ElementDrawer

      `drawBottomPen, drawBox, drawLeftPen, drawPen, drawRightPen, drawTopPen, getJasperReportsContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameDrawer

          public FrameDrawer(ExporterFilter filter,
                     AwtTextRenderer textRenderer)

      Deprecated. Replaced by `FrameDrawer(JasperReportsContext, ExporterFilter, AwtTextRenderer)`.

    - #### FrameDrawer

          public FrameDrawer(JasperReportsContext jasperReportsContext,
                     ExporterFilter filter,
                     AwtTextRenderer textRenderer)

    - #### FrameDrawer

          public FrameDrawer(JRGraphics2DExporterContext exporterContext,
                     ExporterFilter filter,
                     AwtTextRenderer textRenderer)

  - ### Method Detail

    - #### setClip

          public void setClip(boolean isClip)

    - #### draw

          public void draw(java.awt.Graphics2D grx,
                  JRPrintFrame frame,
                  int offsetX,
                  int offsetY)
                    throws JRException

      Specified by:
        `draw` in class `ElementDrawer<JRPrintFrame>`
      Throws:
        `JRException`

    - #### draw

          public void draw(java.awt.Graphics2D grx,
                  java.util.Collection<JRPrintElement> elements,
                  int offsetX,
                  int offsetY)
                    throws JRException

      Throws:
        `JRException`

    - #### setGraphics

          protected void setGraphics(java.awt.Graphics2D grx)

    - #### getExporterContext

          public JRGraphics2DExporterContext getExporterContext()

      Returns:
        the exporterContext

    - #### getDrawVisitor

          public PrintDrawVisitor getDrawVisitor()

      Returns:
        the drawVisitor

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com